#include <iostream>
#include <cmath>
using namespace std;
int main() {
    long long h,w,res,temp;
    cin>>h>>w;
    if (h>w){
        temp=h;
        h=w;
        w=temp;
    }
    
    res=pow(2,w);
    for(int i=0;i<h;i++){
        res+=w*(h-i);
        
    }
    cout<<res;
    return 0;
}

